org.eclipse.rdf4j.query.resultio.textstar.tsv

## Class SPARQLStarResultsTSVMappingStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy
  - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVMappingStrategy
    - - org.eclipse.rdf4j.query.resultio.textstar.tsv.SPARQLStarResultsTSVMappingStrategy

- All Implemented Interfaces:
    com.opencsv.bean.MappingStrategy<BindingSet>

  Deprecated.
  since 3.4.0 - functionality has been folded into `SPARQLResultsTSVMappingStrategy`

      @Deprecated
      public class SPARQLStarResultsTSVMappingStrategy
      extends SPARQLResultsTSVMappingStrategy

  Extends `SPARQLResultsTSVMappingStrategy` with support for parsing a `Triple`.
  Author:
    Pavel Mihaylov

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

      `bindingNames, numberPattern, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLStarResultsTSVMappingStrategy(ValueFactory valueFactory)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVMappingStrategy

      `captureHeader, decodeString, parseLiteral, parseValue, populateNewBean`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

      `createBean, findDescriptor, findField, findMaxFieldIndex, generateHeader, getBindingNames, getColumnIndex, isAnnotationDriven, parseNumberPatternMatch, populateNewBeanWithIntrospection, setErrorLocale, setType, transmuteBean, verifyLineLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQLStarResultsTSVMappingStrategy

          public SPARQLStarResultsTSVMappingStrategy(ValueFactory valueFactory)

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.